Package org.eclipse.birt.chart.computation.withaxes

# Class PlotWith3DAxes

java.lang.Object
org.eclipse.birt.chart.computation.PlotComputation
org.eclipse.birt.chart.computation.withaxes.PlotWithAxes
org.eclipse.birt.chart.computation.withaxes.PlotWith3DAxes

All Implemented Interfaces:
  `IConstants`

public class PlotWith3DAxes extends PlotWithAxes
This class is capable of computing the content of a chart (with axes) based on preferred sizes, text rotation, fit ability, scaling, etc and prepares it for rendering. WARNING: This is an internal class and subject to change

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.computation.IConstants

`ABOVE, ANCILLARY_AXIS, ANCILLARY_BASE, ARRAY, AUTO, AVERAGE, AXIS, BACKWARD, BASE, BASE_AXIS, BELOW, BIG_NUMBER_PRIMITIVE_ARRAY, BOOLEAN, BOTTOM, CENTER, COLLECTION, DATE_TIME, DESIGN_TIME, EMPTY_STRING, EQUAL, FORWARD, HORIZONTAL, INSIDE, LABELS, LEFT, LEGEND_ENTRY, LEGEND_GROUP_NAME, LEGEND_MINSLICE_ENTRY, LEGEND_SEPERATOR, LESS, LINE_EXPAND_DOUBLE_SIZE, LINE_EXPAND_SIZE, LINEAR, LOG_10, LOGARITHMIC, MAJOR, MAX, MIN, MINOR, MORE, NON_PRIMITIVE_ARRAY, NULL_STRING, NUMBER_PRIMITIVE_ARRAY, NUMERICAL, ONE_SPACE, ORTHOGONAL, ORTHOGONAL_AXIS, OTHER, OUTSIDE, PERCENT, POSITION_MASK, POSITION_MOVE_ABOVE, POSITION_MOVE_BELOW, POSITION_MOVE_LEFT, POSITION_MOVE_RIGHT, PRIMITIVE_ARRAY, RIGHT, RUN_TIME, SOME_NULL, TEXT, THREE_D, TICK_ABOVE, TICK_ACROSS, TICK_BELOW, TICK_LEFT, TICK_NONE, TICK_RIGHT, TICK_SIDE1, TICK_SIDE2, TICK_SIZE, TOP, TWO_5_D, TWO_D, UNDEFINED, UNDEFINED_STRING, USER_INTERFACE, VALUE, VERTICAL`

## Constructor Summary

Constructors
Constructor
Description
`PlotWith3DAxes(IDisplayServer _ids, ChartWithAxes _cwa, RunTimeContext _rtc)`

## Method Summary

Modifier and Type
Method
Description
`void`
`compute(Bounds bo)`
This method computes the entire chart within the given bounds.
`final Engine3D`
`get3DEngine()`
Returns the 3D engine for this render.
`Rectangle`
`get3DGraphicBoudingRect()`
`Bounds`
`getAdjustedPlotBounds(boolean refresh)`
`Rectangle[]`
`getAllAxisLabelBounds()`
`Rectangle`
`getAxisLabelBoundingRectXZ(OneAxis oax)`
`Rectangle[]`
`getAxisLabelBoundingRectY(OneAxis oax)`
`Rectangle`
`getBoundsOfAllAxisLabels()`
`final Location`
`getPanningOffset()`
`ISeriesRenderingHints`
`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`

### Methods inherited from class org.eclipse.birt.chart.computation.withaxes.PlotWithAxes

`checkDataType, getAxes, getAxisType, getDimension, getDisplayServer, getHorizontalSpacingInPixels, getLabellLimiter, getModel, getSeriesThickness, getTickSize, getTransposedAngle, getVerticalSpacingInPixels, putLabelLimiter, transposeLabelPosition`

### Methods inherited from class org.eclipse.birt.chart.computation.PlotComputation

`getChartComputation, getPlotBounds, getPlotInsets, getPointToPixel, getRunTimeContext`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlotWith3DAxes

public PlotWith3DAxes(IDisplayServer _ids, ChartWithAxes _cwa, RunTimeContext _rtc) throws IllegalArgumentException, ChartException

Parameters:
  `_ids` -
  `_cwa` -
  `_rtc` -
Throws:
  `IllegalArgumentException`
  `ChartException`

## Method Details

### getAdjustedPlotBounds

public Bounds getAdjustedPlotBounds(boolean refresh) throws ChartException

Throws:
  `ChartException`

### getPanningOffset

public final Location getPanningOffset() throws ChartException

Throws:
  `ChartException`

### get3DEngine

public final Engine3D get3DEngine()
Returns the 3D engine for this render.

### compute

public void compute(Bounds bo) throws ChartException, IllegalArgumentException
Description copied from class: `PlotComputation`
This method computes the entire chart within the given bounds. If the dataset has changed but none of the axis attributes have changed, simply re-compute without 'rebuilding axes'.

Specified by:
  `compute` in class `PlotComputation`
Throws:
  `ChartException`
  `IllegalArgumentException`

### getSeriesRenderingHints

public ISeriesRenderingHints getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal) throws ChartException, IllegalArgumentException

Specified by:
  `getSeriesRenderingHints` in class `PlotComputation`
Returns:
  ISeriesRenderingHints
Throws:
  `ChartException`
  `IllegalArgumentException`

### get3DGraphicBoudingRect

public Rectangle get3DGraphicBoudingRect() throws ChartException

Throws:
  `ChartException`

### getAxisLabelBoundingRectXZ

public Rectangle getAxisLabelBoundingRectXZ(OneAxis oax) throws ChartException

Throws:
  `ChartException`

### getAxisLabelBoundingRectY

public Rectangle[] getAxisLabelBoundingRectY(OneAxis oax) throws ChartException

Throws:
  `ChartException`

### getBoundsOfAllAxisLabels

public Rectangle getBoundsOfAllAxisLabels() throws ChartException

Throws:
  `ChartException`

### getAllAxisLabelBounds

public Rectangle[] getAllAxisLabelBounds() throws ChartException

Throws:
  `ChartException`